# Gimp.Image.get_channels

    @accepts(Gimp.Image)
    @returns([Gimp.Channel])
    def get_channels(self):
        # Python wrapper for gimp_image_get_channels()

Returns the list of channels contained in the specified image.

This procedure returns the list of channels contained in the specified image. This does not include the selection mask, or layer masks. The order is from topmost to bottommost. Note that \"channels\" are custom channels and do not include the image's color components.

self

  The image.

Returns